# Rental Calc

[![Build Status](https://travis-ci.org/brarcher/rental-calc.svg?branch=master)](https://travis-ci.org/brarcher/rental-calc)

<a href="https://f-droid.org/repository/browse/?fdid=protect.rentalcalc" target="_blank">
<img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="90"/></a>
<a href="https://play.google.com/store/apps/details?id=protect.rentalcalc" target="_blank">
<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png" alt="Get it on Google Play" height="90"/></a>

Are you interested in investing in real estate and want to rent out homes? Not sure how to determine if a property is a good investment?

Rental Calc helps real estate investors determine if a potential property is worth buying and renting. Create a property entry, enter a few fields, and Rental Calc will compute what you need at closing, your projected cash flow, and various returns on your investment.

If there is any interest in improving this project, kindly submit a pull request with proposed changes.

# Screenshots
[<img src="https://cloud.githubusercontent.com/assets/5264535/25881817/3aebfa40-350d-11e7-80ff-6edda7b79426.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/25881817/3aebfa40-350d-11e7-80ff-6edda7b79426.png)
[<img src="https://cloud.githubusercontent.com/assets/5264535/25881820/3e2ae414-350d-11e7-88c2-3369edcbf0c4.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/25881820/3e2ae414-350d-11e7-88c2-3369edcbf0c4.png)
[<img src="https://cloud.githubusercontent.com/assets/5264535/26523272/ff2d3d6a-42e1-11e7-9eb8-566613e5e257.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/26523272/ff2d3d6a-42e1-11e7-9eb8-566613e5e257.png)

[<img src="https://cloud.githubusercontent.com/assets/5264535/26262712/b2318b68-3ca3-11e7-9ec6-24edb36182b2.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/26262712/b2318b68-3ca3-11e7-9ec6-24edb36182b2.png)
[<img src="https://cloud.githubusercontent.com/assets/5264535/26523261/a9e988a4-42e1-11e7-8fcf-d1831d25c6d0.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/26523261/a9e988a4-42e1-11e7-8fcf-d1831d25c6d0.png)
[<img src="https://cloud.githubusercontent.com/assets/5264535/25881827/43da4f6c-350d-11e7-9344-d6ce44ba8fdc.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/25881827/43da4f6c-350d-11e7-9344-d6ce44ba8fdc.png)

[<img src="https://cloud.githubusercontent.com/assets/5264535/25881828/4743fcac-350d-11e7-8e9c-85c8c0d68d9f.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/25881828/4743fcac-350d-11e7-8e9c-85c8c0d68d9f.png)
[<img src="https://cloud.githubusercontent.com/assets/5264535/25881830/484dfbe8-350d-11e7-9c76-d95f85a01a78.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/25881830/484dfbe8-350d-11e7-9c76-d95f85a01a78.png)
[<img src="https://cloud.githubusercontent.com/assets/5264535/25881831/49596194-350d-11e7-9a4a-2c7f9036ac59.png" width=250>](https://cloud.githubusercontent.com/assets/5264535/25881831/49596194-350d-11e7-9a4a-2c7f9036ac59.png)

# Building

To build, use the gradle wrapper scripts provided in the top level directory of the project. The following will
compile the application and run all unit tests:

GNU/Linux, OSX, UNIX:
```
./gradlew build
```

Windows:
```
./gradlew.bat build
```

# Translating

If you are interested in translating this application to another language, create a pull request with changes or find the project listing on  [Transifex](https://www.transifex.com/na-243/rental-calc).

# Thanks

This application uses the following images:
- [House](https://thenounproject.com/term/house/41030/) by
[Mani Amini](https://thenounproject.com/man1/)
- [Chat Question](https://thenounproject.com/term/question/562370/) by [Shmidt Sergey](https://thenounproject.com/monstercritic/)
[Kuber](https://thenounproject.com/funkyiconz26/)
- [Save](https://thenounproject.com/term/save/716011) by [Bernar Novalyi](https://thenounproject.com/bernar.novalyi)
- [For Sale](https://thenounproject.com/term/for-sale/716241/) by [parkjisun](https://thenounproject.com/naripuru/)
